SourceForge has been redesigned. Learn more.
Close

#25 Subsequent crashes on gnome 2.10/FC4

closed-fixed
nobody
None
5
2005-08-21
2005-07-22
vitaly
No

Probed different versions up to 2.1.4 but with the same
result - within several hours the application crashes.
The less postbixes monitored, the more time I'll have
no problems (up to 6 hrs with 1 IMAP box). Is this a
known issue? I'll provide backtrace next time it will
crash...

Discussion

  • Hubert Verstraete

    Logged In: YES
    user_id=128703

    I also have some crashs with 1 POP3 box, and I'm using the
    same Gnome et FC4.
    It occurs within several days. Each time I discovered the
    crash, I was coming back after I was away (morning, after
    lunch...), and having the screensaver activated.
    I decided to attach my gnubiff with gdb on Monday, and it
    has finally crashed today.
    Here's the backtrace:
    Program received signal SIGSEGV, Segmentation fault.
    [Switching to Thread -1211581520 (LWP 31540)]
    0x00321977 in __gnu_cxx::__pool<true>::_M_get_thread_id ()
    from /usr/lib/libstdc++.so.6
    (gdb) bt
    #0 0x00321977 in __gnu_cxx::__pool<true>::_M_get_thread_id ()
    from /usr/lib/libstdc++.so.6
    #1 0x00321e0c in __gnu_cxx::__pool<true>::_M_reclaim_block ()
    from /usr/lib/libstdc++.so.6
    #2 0x0036c27d in std::string::_Rep::_S_create () from
    /usr/lib/libstdc++.so.6
    #3 0x0037025f in std::operator+<char,
    std::char_traits<char>, std::allocator<char> > () from
    /usr/lib/libstdc++.so.6
    #4 0x00370e7c in std::basic_string<char,
    std::char_traits<char>, std::allocator<char> >::basic_string
    () from /usr/lib/libstdc++.so.6
    #5 0x0807459e in Mailbox::start_checking (this=0x8df0198)
    at mailbox.h:230
    #6 0x080ad02c in Pop::start (this=0x8df0198) at pop.cc:111
    #7 0x00206e9a in g_static_private_free () from
    /usr/lib/libglib-2.0.so.0
    #8 0x00db5b80 in start_thread () from /lib/libpthread.so.0
    #9 0x00c37dee in clone () from /lib/libc.so.6

     
  • vitaly

    vitaly - 2005-07-22

    Logged In: YES
    user_id=572601

    here's the backtrace...
    ---
    Backtrace was generated from '/usr/bin/gnubiff'

    Using host libthread_db library "/lib/libthread_db.so.1".
    [Thread debugging using libthread_db enabled]
    [New Thread -1208117568 (LWP 25464)]
    [New Thread -1211208784 (LWP 6400)]
    0x00871402 in ?? ()
    #0 0x00871402 in ?? ()
    #1 0x006014b1 in ___newselect_nocancel () from /lib/libc.so.6
    #2 0x03bd90dd in _XEnq () from /usr/X11R6/lib/libX11.so.6
    #3 0x03bd94d7 in _XRead () from /usr/X11R6/lib/libX11.so.6
    #4 0x03bda908 in _XReply () from /usr/X11R6/lib/libX11.so.6
    #5 0x03bfb31e in XkbGetState () from /usr/X11R6/lib/libX11.so.6
    #6 0x02d6ed85 in gdk_keymap_get_entries_for_keyval ()
    from /usr/lib/libgdk-x11-2.0.so.0
    #7 0x02d6f021 in gdk_keymap_get_direction () from
    /usr/lib/libgdk-x11-2.0.so.0
    #8 0x02d655be in gdk_screen_get_setting () from
    /usr/lib/libgdk-x11-2.0.so.0
    #9 0x02d66ccd in gdk_screen_get_setting () from
    /usr/lib/libgdk-x11-2.0.so.0
    #10 0x02d66d43 in gdk_screen_get_setting () from
    /usr/lib/libgdk-x11-2.0.so.0
    #11 0x007b83ee in g_main_context_dispatch () from
    /usr/lib/libglib-2.0.so.0
    #12 0x007bb3f6 in g_main_context_check () from
    /usr/lib/libglib-2.0.so.0
    #13 0x007bb6e3 in g_main_loop_run () from
    /usr/lib/libglib-2.0.so.0
    #14 0x00b93625 in bonobo_main () from /usr/lib/libbonobo-2.so.0
    #15 0x00b91ac5 in bonobo_generic_factory_main_timeout ()
    from /usr/lib/libbonobo-2.so.0
    #16 0x00b91b49 in bonobo_generic_factory_main () from
    /usr/lib/libbonobo-2.so.0
    #17 0x006a8ec4 in panel_applet_factory_main_closure ()
    from /usr/lib/libpanel-applet-2.so.0
    #18 0x006a8f96 in panel_applet_factory_main ()
    from /usr/lib/libpanel-applet-2.so.0
    #19 0x080672ac in mainGNOME (argc=3, argv=0xbfbfa214) at
    gnubiff.cc:208
    #20 0x08067ae3 in main (argc=3, argv=0xbfbfa214) at
    gnubiff.cc:80

    Thread 2 (Thread -1211208784 (LWP 6400)):
    #0 0x00871402 in ?? ()
    No symbol table info available.
    #1 0x0078bfbb in __waitpid_nocancel () from
    /lib/libpthread.so.0
    No symbol table info available.
    #2 0x03cc7080 in libgnomeui_module_info_get () from
    /usr/lib/libgnomeui-2.so.0
    No symbol table info available.
    #3 <signal handler called>
    No symbol table info available.
    #4 0x033d3977 in __gnu_cxx::__pool<true>::_M_get_thread_id ()
    from /usr/lib/libstdc++.so.6
    No symbol table info available.
    #5 0x033d3e0c in __gnu_cxx::__pool<true>::_M_reclaim_block ()
    from /usr/lib/libstdc++.so.6
    No symbol table info available.
    #6 0x0341e27d in std::string::_Rep::_S_create () from
    /usr/lib/libstdc++.so.6
    No symbol table info available.
    #7 0x0342225f in std::operator+<char,
    std::char_traits<char>, std::allocator<char> > () from
    /usr/lib/libstdc++.so.6
    No symbol table info available.
    #8 0x03422e7c in std::basic_string<char,
    std::char_traits<char>, std::allocator<char> >::basic_string
    () from /usr/lib/libstdc++.so.6
    No symbol table info available.
    #9 0x08074892 in Mailbox::start_checking (this=0x91dbef8)
    at mailbox.h:230
    No locals.
    #10 0x0809fa6e in Imap4::start (this=0x91dbef8) at imap4.cc:125
    No locals.
    #11 0x007d3e9a in g_static_private_free () from
    /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #12 0x00786b80 in start_thread () from /lib/libpthread.so.0
    No symbol table info available.
    #13 0x00608dee in clone () from /lib/libc.so.6
    No symbol table info available.

    Thread 1 (Thread -1208117568 (LWP 25464)):
    #0 0x00871402 in ?? ()
    No symbol table info available.
    #1 0x006014b1 in ___newselect_nocancel () from /lib/libc.so.6
    No symbol table info available.
    #2 0x03bd90dd in _XEnq () from /usr/X11R6/lib/libX11.so.6
    No symbol table info available.
    #3 0x03bd94d7 in _XRead () from /usr/X11R6/lib/libX11.so.6
    No symbol table info available.
    #4 0x03bda908 in _XReply () from /usr/X11R6/lib/libX11.so.6
    No symbol table info available.
    #5 0x03bfb31e in XkbGetState () from /usr/X11R6/lib/libX11.so.6
    No symbol table info available.
    #6 0x02d6ed85 in gdk_keymap_get_entries_for_keyval ()
    from /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #7 0x02d6f021 in gdk_keymap_get_direction () from
    /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #8 0x02d655be in gdk_screen_get_setting () from
    /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #9 0x02d66ccd in gdk_screen_get_setting () from
    /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #10 0x02d66d43 in gdk_screen_get_setting () from
    /usr/lib/libgdk-x11-2.0.so.0
    No symbol table info available.
    #11 0x007b83ee in g_main_context_dispatch () from
    /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #12 0x007bb3f6 in g_main_context_check () from
    /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #13 0x007bb6e3 in g_main_loop_run () from
    /usr/lib/libglib-2.0.so.0
    No symbol table info available.
    #14 0x00b93625 in bonobo_main () from /usr/lib/libbonobo-2.so.0
    No symbol table info available.
    #15 0x00b91ac5 in bonobo_generic_factory_main_timeout ()
    from /usr/lib/libbonobo-2.so.0
    No symbol table info available.
    #16 0x00b91b49 in bonobo_generic_factory_main () from
    /usr/lib/libbonobo-2.so.0
    No symbol table info available.
    #17 0x006a8ec4 in panel_applet_factory_main_closure ()
    from /usr/lib/libpanel-applet-2.so.0
    No symbol table info available.
    #18 0x006a8f96 in panel_applet_factory_main ()
    from /usr/lib/libpanel-applet-2.so.0
    No symbol table info available.
    #19 0x080672ac in mainGNOME (argc=3, argv=0xbfbfa214) at
    gnubiff.cc:208
    No locals.
    #20 0x08067ae3 in main (argc=3, argv=0xbfbfa214) at
    gnubiff.cc:80
    i = 2

     
  • vitaly

    vitaly - 2005-07-22

    Logged In: YES
    user_id=572601

    Hubert,
    Well, looks like thread issue(in your bt) but haven't this
    already fixed in cvs in bug concerning prefs? Used to try it
    but without any positive result. BTW, CVS failled to build
    complaining on po files, I just copied the binary to the
    proper place. How you used to build it?

     
  • Hubert Verstraete

    Logged In: YES
    user_id=128703

    vitaly,
    The pref' bug (which in fact concerns local mailbox) doesn't
    fix this issue, I still had on a pop3 mailbox.
    For the CVS sources, I don't know how to compile them,
    there's no configure script and I didn't succeed in building
    one with automake (that I'm not used to use). So I had to
    untar the lastest source tarball and insert the modified
    source files from a CVS checkout.
    In your Makefile, be sure to have CFLAGS = -g so that you'll
    have debug info.

     
  • vitaly

    vitaly - 2005-07-22

    Logged In: YES
    user_id=572601

    aclocal;autoheader;autoconf;automake sequence do produce
    configure & stuff but there's still a strange compilation
    error I failed to work around... Thanks for your answer.

     
  • Robert Sowada

    Robert Sowada - 2005-07-24

    Logged In: YES
    user_id=1134063

    Thanks for your bug report. Unfortunately I don't have time
    to investigate this bug before the next weekend.

    BTW: The "official" configure script is created by
    "aclocal-1.7; autoheader; automake-1.7; autoconf". If you
    run the configure file with "--enable-debug" "CFLAGS = -g"
    is added to all Makefiles automatically.

     
  • Hubert Verstraete

    Logged In: YES
    user_id=128703

    Here's another and different backtrace with gdb, but it ends
    in the same function. It crashed after 3 days.

    Program received signal SIGSEGV, Segmentation fault.
    [Switching to Thread -1211040848 (LWP 20503)]
    0x00321977 in __gnu_cxx::__pool<true>::_M_get_thread_id ()
    from /usr/lib/libstdc++.so.6
    (gdb) bt
    #0 0x00321977 in __gnu_cxx::__pool<true>::_M_get_thread_id ()
    from /usr/lib/libstdc++.so.6
    #1 0x00321e0c in __gnu_cxx::__pool<true>::_M_reclaim_block ()
    from /usr/lib/libstdc++.so.6
    #2 0x0036c27d in std::string::_Rep::_S_create () from
    /usr/lib/libstdc++.so.6
    #3 0x0037025f in std::operator+<char,
    std::char_traits<char>, std::allocator<char> > () from
    /usr/lib/libstdc++.so.6
    #4 0x00370e7c in std::basic_string<char,
    std::char_traits<char>, std::allocator<char> >::basic_string
    () from /usr/lib/libstdc++.so.6
    #5 0x0807459e in Mailbox::start_checking (this=0x9b77188)
    at mailbox.h:230
    #6 0x080ad02c in Pop::start (this=0x9b77188) at pop.cc:111
    #7 0x00206e9a in g_static_private_free () from
    /usr/lib/libglib-2.0.so.0
    #8 0x00db5b80 in start_thread () from /lib/libpthread.so.0
    #9 0x00e8cdee in clone () from /lib/libc.so.6

     
  • Robert Sowada

    Robert Sowada - 2005-07-31

    Logged In: YES
    user_id=1134063

    To answer the question in the initial bug report: This is an
    unknown issue. I currently have no idea what causes these
    crashes.

     
  • Nobody/Anonymous

    Logged In: NO

    Robert,
    This has disappeared after the toolchain (gcc, libc etc)
    upgrade,
    so I assume this is related to some unknown (for us)
    and probably threading bug in libstdc++ residing in `pure`
    fedora core 4. The update log:

    Aug 08 17:20:05 Updated: libgcc.i386 4.0.1-4.fc4
    Aug 08 17:20:16 Updated: libgcj.i386 4.0.1-4.fc4
    Aug 08 17:20:18 Updated: libstdc++.i386 4.0.1-4.fc4
    Aug 08 17:20:40 Updated: libstdc++-devel.i386 4.0.1-4.fc4
    Aug 08 17:21:18 Updated: libgcj-devel.i386 4.0.1-4.fc4
    Aug 08 17:21:30 Updated: libgnat.i386 4.0.1-4.fc4
    Aug 08 17:21:31 Updated: libgfortran.i386 4.0.1-4.fc4
    Aug 08 17:21:33 Updated: cpp.i386 4.0.1-4.fc4
    Aug 08 17:21:37 Updated: gcc.i386 4.0.1-4.fc4
    Aug 08 17:21:39 Updated: gcc-gfortran.i386 4.0.1-4.fc4
    Aug 08 17:22:04 Updated: gcc-gnat.i386 4.0.1-4.fc4
    Aug 08 17:22:05 Updated: gcc-c++.i386 4.0.1-4.fc4
    Aug 08 17:22:07 Updated: libtool.i386 1.5.16.multilib2-2
    Aug 08 17:22:10 Updated: gcc-java.i386 4.0.1-4.fc4
    .
    Thus tis may be related to libstdc++ or compiler. This bug
    may be closed,
    but something about this should be mentioned in the web page
    and README.
    Thanks for great software.

     
  • Hubert Verstraete

    Logged In: YES
    user_id=128703

    I've had these upgrades since July the 28th. But I don't
    remember if it made the crashs stop.
    I just can say that my current gnubiff process has been
    running for 8 days without a crash.

     
  • Nobody/Anonymous

    Logged In: NO

    I had the crash several times every day, but after the
    upgrade (recently) the crash havent occur AFAIR. Thus I
    almost sure that the problem is in the libs (or buggy gcc :)).

     
  • vitaly

    vitaly - 2005-08-16

    Logged In: YES
    user_id=572601

    I was "nobody" btw. just noticed :)

     
  • Robert Sowada

    Robert Sowada - 2005-08-21

    Logged In: YES
    user_id=1134063

    Thanks for your clarification. I will close this bug report
    now. BTW: Gnubiff 2.1.5 has been released.

     
  • Robert Sowada

    Robert Sowada - 2005-08-21
    • status: open --> closed-fixed
     

Log in to post a comment.